[ 
https://issues.apache.org/jira/browse/ARTEMIS-1335?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16120875#comment-16120875
 ] 

ASF GitHub Bot commented on ARTEMIS-1335:
-----------------------------------------

GitHub user michaelandrepearce opened a pull request:

    https://github.com/apache/activemq-artemis/pull/1455

    ARTEMIS-1335 Update Netty to 4.1.14 - MQTT fix

    Fix for MQTT in connect due to deprecated methods bug causing NPE, call new 
methods and null check ourselves.
    
    Also raised https://github.com/netty/netty/issues/7076 upstream but i guess 
we will keep this, as the old methods are deprecated anyhow.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/michaelandrepearce/activemq-artemis 
ARTEMIS-1335-FIX

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/activemq-artemis/pull/1455.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1455
    
----
commit ea623c963eb738ebc00f60f702058a43c474f931
Author: Michael Andre Pearce <michael.andre.pea...@me.com>
Date:   2017-08-10T00:18:00Z

    ARTEMIS-1335 Update Netty to 4.1.14 - MQTT fix
    
    Fix for MQTT in connect due to deprecated methods bug causing NPE, call new 
methods and null check ourselves.
    
    Also raised https://github.com/netty/netty/issues/7076 upstream but i guess 
we will keep this, as the old methods are deprecated anyhow.

----


> Update Netty to 4.1.14
> ----------------------
>
>                 Key: ARTEMIS-1335
>                 URL: https://issues.apache.org/jira/browse/ARTEMIS-1335
>             Project: ActiveMQ Artemis
>          Issue Type: Improvement
>            Reporter: Michael Andre Pearce
>            Assignee: Michael Andre Pearce
>             Fix For: 2.3.0
>
>
> Netty just released a bunch of improvements and bug fixes in 4.1.14 
> especially around epoll native, which we should look to take advantage of.
> Also to note recent update of qpid-jms and jproton are dependent on 4.1.14 
> also.
> As such its prudent to update artemis dependency to 4.1.14.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Reply via email to